---
- name: apply database configuration
  collections:
    - community.mysql
  hosts: db_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: install stuffs to be integrated later in salt
      dnf:
        name: ['rsync', 'libaio', 'libpmem', 'lsof']
        state: present
      when: ansible_distribution == 'Rocky'
  roles:
    - role: mariadb
      vars:
        mariadb_version: "10.5.11"
        #mariadb_sync: true
        #bootstrap_galera: true
        databases_users_check: true
        mariadb_datadir: "/storage/mysql"
        mariadb_socket: "/storage/mysql/mysql.sock"
